Subject: SUMMARY of Direct SCF, RAM

From: elewars <[email-masked]>
Date: Wed, 19 Jun 2002 10:29:37 -0400

2002 June 19

Here is the summary of responses to my direct SCF/RAM question.
Thanks very much to all who wrote.

EL
-----------
QUESTION

2002 June 14

Does it seem likely to everyone out there that the introduction of very
big (and fast-access) electronic memories (RAM) will make direct SCF
obsolete?
=================
RESPONSES
#1
[email-masked]

I know Warren felt that way 10+ years ago when he (and his group) did
Spartan with in-core stuff.  Direct/recalc methods vectorized well, but
the newer machines don't program that way - we might see a change
if/when people overcome the intertia and rewrite stuff.

Joe
==============
#2
Joop van Lenthe
Theoretical Chemistry Group
Padualaan 14
3584CH Utrecht
The Netherlands     Email [email-masked]
 Joop van Lenthe <[email-masked]>

Yes, in the sense that the calculations we used to run with direct
scf now can bw run incore, However
since the cpu's get fater all the time as well, there are always
calculations that won't fit in memory.
I tried this with a 500 processor (1gbyte/processor) SGI.
Joop
======================
#3
 [email-masked] (Alan Shusterman)

I haven't kept up with hardware memory developments so I would like to
know how big a memory you
are talking about?

I remember when I bought my first 128M workstation back in 1991. I
couldn't go above ~100 basis
functions in an RHF model w/o using direct SCF (and MP2 models were MUCH
smaller). Assuming
quadratic scaling and a 1000 basis function RHF model (not that large by
today's standards), I
would need about 13G of RAM to avoid direct SCF. Is this an option? How
expensive is it?

-Alan

[2 GB of RAM is now readily available for Pentiums. I expect 10 GB or so
in a few years.--EL]
======================
#4
  "Van Dam, HJJ (Huub)" <[email-masked]>
 Organization:
  CCLRC Daresbury Laboratory

You might be right that traditional direct SCF (as in recalculating all
integrals every SCF cycle) could be on the defense. However the number
of
integrals required still tends to grow fast with the system size, making
it
unlikely that all of them can be stored. The most successful approach I
know of
is to store all integrals with large values or which are particularly
expensive
to compute in memory and to recalculate the remaining ones if needed.
This
approach makes the best use of the resources available without the
restricting
requirement that all integrals MUST fit in memory.

Huub

========================================================================